Loading...
Searching...
No Matches
EST_FeatureData Class Reference

## Public Member Functions

| EST_FeatureData (const EST_FeatureData &a)
EST_Features & | ginfo ()
int | num_samples () const
int | num_features () const
void | resize (int num_samples, int num_columns, bool preserve=1)
void | resize (int num_samples, EST_Features &f, bool preserve=1)
void | set_num_samples (int num_samples, bool preserve=1)
EST_String | type (const EST_String &feature_name)
EST_StrList | values (const EST_String &feature_name)
void | set_type (EST_String &feature_name, EST_String &type)
void | set_values (EST_String &feature_name, EST_StrList &values)
int | update_values (const EST_String &feature_name, int max)
int | feature_position (const EST_String &feature_name)
EST_read_status | load (const EST_String &name)
EST_write_status | save (const EST_String &name, const EST_String &EST_filetype="") const
EST_Val & | a (int sample, int field)
EST_Val & | a (int sample, const EST_String &name)
const EST_Val & | a (int sample, int field) const
const EST_Val & | a (int sample, const EST_String &name) const

## Friends

ostream & | operator<< (ostream &st, const EST_FeatureData &a)

## Detailed Description

Definition at line 123 of file EST_FeatureData.h.

## Constructor & Destructor Documentation

## EST_FeatureData() [1/2]

EST_FeatureData::EST_FeatureData | ( |  | ) |

Definition at line 54 of file EST_FeatureData.cc.

## EST_FeatureData() [2/2]

EST_FeatureData::EST_FeatureData | ( | const EST_FeatureData & | a | ) |

Definition at line 61 of file EST_FeatureData.cc.

## ~EST_FeatureData()

EST_FeatureData::~EST_FeatureData | ( | void |  | ) |

Definition at line 67 of file EST_FeatureData.cc.

## Member Function Documentation

## ginfo()

EST_Features & EST_FeatureData::ginfo | ( |  | ) |

inline

Definition at line 140 of file EST_FeatureData.h.

## num_samples()

int EST_FeatureData::num_samples | ( |  | ) | const

Definition at line 71 of file EST_FeatureData.cc.

## num_features()

int EST_FeatureData::num_features | ( |  | ) | const

Definition at line 76 of file EST_FeatureData.cc.

## resize() [1/2]

void EST_FeatureData::resize | ( | int | num_samples,
|  | int | num_columns,
|  | bool | preserve = 1 )

Definition at line 95 of file EST_FeatureData.cc.

## resize() [2/2]

void EST_FeatureData::resize | ( | int | num_samples,
|  | EST_Features & | f,
|  | bool | preserve = 1 )

Definition at line 115 of file EST_FeatureData.cc.

## set_num_samples()

void EST_FeatureData::set_num_samples | ( | int | num_samples,
|  | bool | preserve = 1 )

Definition at line 90 of file EST_FeatureData.cc.

## type()

EST_String EST_FeatureData::type | ( | const EST_String & | feature_name | ) |

Definition at line 121 of file EST_FeatureData.cc.

## values()

EST_StrList EST_FeatureData::values | ( | const EST_String & | feature_name | ) |

Definition at line 131 of file EST_FeatureData.cc.

## update_values()

int EST_FeatureData::update_values | ( | const EST_String & | feature_name,
|  | int | max )

Definition at line 162 of file EST_FeatureData.cc.

## feature_position()

int EST_FeatureData::feature_position | ( | const EST_String & | feature_name | ) |

Definition at line 144 of file EST_FeatureData.cc.

## load()

EST_read_status EST_FeatureData::load | ( | const EST_String & | name | ) |

Definition at line 411 of file EST_FeatureData.cc.

## save()

EST_write_status EST_FeatureData::save | ( | const EST_String & | name,
|  | const EST_String & | EST_filetype = "" ) const

Definition at line 394 of file EST_FeatureData.cc.

## a() [1/4]

EST_Val & EST_FeatureData::a | ( | int | sample,
|  | int | field )

Definition at line 237 of file EST_FeatureData.cc.

## a() [2/4]

EST_Val & EST_FeatureData::a | ( | int | sample,
|  | const EST_String & | name )

Definition at line 231 of file EST_FeatureData.cc.

## a() [3/4]

const EST_Val & EST_FeatureData::a | ( | int | sample,
|  | int | field ) const

Definition at line 247 of file EST_FeatureData.cc.

## a() [4/4]

const EST_Val & EST_FeatureData::a | ( | int | sample,
|  | const EST_String & | name ) const

Definition at line 241 of file EST_FeatureData.cc.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | st,
|  | const EST_FeatureData & | a )

friend

Definition at line 494 of file EST_FeatureData.cc.

The documentation for this class was generated from the following files:

- include/EST_FeatureData.h
- base_class/EST_FeatureData.cc